Name:           unicorn
Version:        1.0.3
Release:        1%{?dist}
Summary:        A lightweight multi-platform, multi-architecture CPU emulator framework
License:        GPL-2.0
URL:            http://www.unicorn-engine.org/
Source0:        unicorn-1.0.3.tar.gz
BuildRequires:  gcc gcc-g++ cmake

%description
A lightweight multi-architecture CPU emulator framework.
Multi-architecture, with support for ARM, ARM64 (ARMv8), M68K, MIPS,
SPARC, and X86 (16, 32, 64-bit).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
mkdir build
cd build
%cmake -DBUILD_SHARED_LIBS=ON ..
%cmake_build

%install
cd build
%cmake_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md ChangeLog
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Jun 14 2021 Vad Rulezz <vr5@yandex.ru> - 1.0.3-1
- Initial package
